name: Kai
description: >-
  Personal AI assistant that helps with tasks, answers questions, schedules
  reminders, searches the web, browses websites, and manages files. Available
  via WhatsApp/Telegram with conversational interface.
version: '1.0'
operations:
  - id: core/text/generation
    description: Generation
    input_types:
      - application/json
    output_types:
      - application/json
  - id: core/code/generation
    description: Generation
    input_types:
      - application/json
    output_types:
      - application/json
  - id: core/data/analysis
    description: Analysis
    input_types:
      - application/json
    output_types:
      - application/json
  - id: assistant/scheduling/reminders
    description: reminders
    input_types:
      - application/json
    output_types:
      - application/json
endpoints:
  - url: https://nanoclaw.ai
    protocol: https
